<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	
	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- Two Columns -->
	<h2>Two Columns</h2>
	<div class="container-fluid">
		<h3>1:1 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6col</div>
		</div>

		<h3>1:3 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9col</div>
		</div>

		<h3>1:2 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8col</div>
		</div>
		
	</div>

		<!-- Three columns -->
		<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- Row with 3 equal columns -->
			<h3>1:1:1</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
			</div>

			<h3>1:2:1</h3>
		
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			</div>	

			<h3>3:7:2</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-2">2col</div>
			</div>	
		</div>	

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
			</div>
		</div>
		<!-- col-xs-value col-xl-value -->
		<h2>Mobile responsvie</h2>
			<div class="container-fluid">
				<div class="row text-light">
					<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
					
				</div>
				
			</div>

			<h2>Multi-row Layouts</h2>
			<div class="container-fluid">
				<div class="row text-light">
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog1</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog2</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog3</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog4</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog5</div>
					<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog6</div>
				</div>
				
			</div>
			<!-- offset-xs-value / offset-xl-value -->
			<h2>Offsetting Columns</h2>
			<div class="container-fluid">
				<div class="row text-light">
					<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
					<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
					<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
				</div>
				
			</div>

			<h2>Columns orders</h2>
			<div class="container-fluid">
				<div class="row text-light">
					<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
					<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
				</div>
				
			</div>




	   <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>